/*Appel des bibliothèques*/
#include <Wire.h>
#include "SparkFun_SCD30_Arduino_Library.h" //bibliothèque du capteur SCD30

/*Déclaration des variables pour les mesures*/
int taux_co2;
float temperature;
float humidite;

/*Création de l'objet "airSensor" avec la bibliothèque SCD30*/
SCD30 airSensor;

void setup()
{
    /*Initialisations du moniteur série et de la connexion avec le capteur*/
    Serial.begin(9600);
    Wire.begin();
    if (airSensor.begin() == false)
    {
        Serial.println("Air sensor not detected. Please check wiring. Freezing...");
        while (1);
    }
}

void loop()
{
    if (airSensor.dataAvailable())  //"Si le capteur fonctionne, alors ..."
    {
        /*Prises de mesures et attributions dans les variables*/
        taux_co2 = airSensor.getCO2();
        temperature = airSensor.getTemperature();
        humidite = airSensor.getHumidity();

        /*Affichage sur le moniteur série sous la forme ";Taux de CO2 (ppm) ; Température (°C) ; Humidité (%)"*/
        Serial.print(";");
        Serial.print(taux_co2);
        Serial.print(";");
        Serial.print(temperature);
        Serial.print(";");
        Serial.println(humidite);
    }
delay(1000); //délai de 1 seconde pour laisser le temps au capteur de prendre une nouvelle mesure
}